
using Godot;

namespace Rokojori
{  
  public class RDPipeline: RDObject
  {
    public RDPipeline( RDContext context, Rid rid ):base( context, rid )
    {}

    public static RDPipeline Create( RDContext context, RDShader shader )
    {
      return new RDPipeline( context, context.renderingDevice.ComputePipelineCreate( shader.rid ) );
    }
  }
}